Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface BookInstanceControl

    @ControlInterface
    public interface BookInstanceControl

A custom control interface used to interact with BookInstances.

Method Summary
`void` | `addNavigable(NavigableDefinitionId navigableToAddId, int position, BookInstanceId parentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Adds a child page or book (a navigable) to the specified book.
`BookInstance` | `getBookInstance(BookInstanceId id, ResourceContext context)` Returns the `BookInstance` of the specified book instance id.
`BookView` | `getBookView(BookInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Returns the `BookView` of the specified book.
`void` | `moveNavigable(NavigableInstanceId navigableToMoveId, int position, BookInstanceId fromParentBookId, BookInstanceId toParentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Moves a child book or page (a navigable) within the specified book.
`void` | `removeNavigable(NavigableInstanceId navigableToRemoveId, BookInstanceId parentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Removes a child book or page (a navigable) from the specified book.
`BookInstanceId` | `rename(String title, BookInstanceId parentBookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Resets the title of the book instance.
`void` | `setDefaultNavigable(NavigableInstanceId navigableId, BookInstanceId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Sets the default navigable for a book.
`BookInstanceId` | `updateThemeAndMenu(MenuDefinitionId menuId, ThemeDefinitionId themeId, BookInstanceId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, boolean isHidden, ResourceContext context)` Updates the appearance of a book.
`BookInstanceId` | `updateThemeAndMenu(MenuDefinitionId menuId, ThemeDefinitionId themeId, BookInstanceId bookId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Updates the appearance of a book.

Method Detail

### getBookView

    BookView getBookView(BookInstanceId id,
                         String webApp,
                         PortalPath portalPath,
                         DesktopPath desktopPath,
                         ResourceContext context)
                         throws ToolsException

  Returns the `BookView` of the specified book. BookView's include the object's children unlike instances and definitions.

  Parameters
    `id` - the ID of the book to retrieve the view for.
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Returns
    a BookView object. (immutable "deep" view of a book)
  Throws
    `ToolsException`

### getBookInstance

    BookInstance getBookInstance(BookInstanceId id,
                                 ResourceContext context)
                                 throws ToolsException

  Returns the `BookInstance` of the specified book instance id.

  Parameters
    `id` - the ID of the book instance to retrieve
    `context` - the resource context.
  Returns
    The `BookInstance` object associated with the BookInstanceId.
  Throws
    `ToolsException`

### updateThemeAndMenu

    BookInstanceId updateThemeAndMenu(MenuDefinitionId menuId,
                                      ThemeDefinitionId themeId,
                                      BookInstanceId bookId,
                                      String webApp,
                                      PortalPath portalPath,
                                      DesktopPath desktopPath,
                                      ResourceContext context)
                                      throws ToolsException,
                                             NotEntitledException,
                                             ObjectNotFoundException

  Updates the appearance of a book.

  Parameters
    `menuId` - the id of the menu to associate with the book. If `null`, no menu is associated with the book.
    `themeId` - the id of the theme to associate with the book. If `null`, no theme is associated with the book.
    `bookId` - the id of the book to update
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    the new book id of the resource
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updateThemeAndMenu

    BookInstanceId updateThemeAndMenu(MenuDefinitionId menuId,
                                      ThemeDefinitionId themeId,
                                      BookInstanceId bookId,
                                      String webApp,
                                      PortalPath portalPath,
                                      DesktopPath desktopPath,
                                      boolean isHidden,
                                      ResourceContext context)
                                      throws ToolsException,
                                             NotEntitledException,
                                             ObjectNotFoundException

  Updates the appearance of a book.

  Parameters
    `menuId` - the id of the menu to associate with the book. If `null`, no menu is associated with the book.
    `themeId` - the id of the theme to associate with the book. If `null`, no theme is associated with the book.
    `bookId` - the id of the book to update
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `isHidden` - is the book viewable
    `context` - the resource context
  Returns
    the new book id of the resource
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### addNavigable

    void addNavigable(NavigableDefinitionId navigableToAddId,
                      int position,
                      BookInstanceId parentBookId,
                      String webApp,
                      PortalPath portalPath,
                      DesktopPath desktopPath,
                      ResourceContext context)
                      throws ToolsException,
                             NotEntitledException,
                             ObjectNotFoundException,
                             MissingDataException,
                             DuplicateObjectException,
                             IllegalDependencyException

  Adds a child page or book (a navigable) to the specified book.

  Parameters
    `navigableToAddId` - the id of the page or book to add
    `position` - the position of the child within the book
    `parentBookId` - the ID of the book to add the navigable to
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `MissingDataException`
    `DuplicateObjectException`
    `IllegalDependencyException`

### moveNavigable

    void moveNavigable(NavigableInstanceId navigableToMoveId,
                       int position,
                       BookInstanceId fromParentBookId,
                       BookInstanceId toParentBookId,
                       String webApp,
                       PortalPath portalPath,
                       DesktopPath desktopPath,
                       ResourceContext context)
                       throws ToolsException,
                              NotEntitledException,
                              ObjectNotFoundException,
                              IllegalDependencyException

  Moves a child book or page (a navigable) within the specified book.

  Parameters
    `navigableToMoveId` - the id of the page or book to move
    `position` - the new position of the child within the book
    `fromParentBookId` - the ID of the book to move the navigable from
    `toParentBookId` - the ID of the book to move the navigable to
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `IllegalDependencyException`

### rename

    BookInstanceId rename(String title,
                          BookInstanceId parentBookId,
                          String webApp,
                          PortalPath portalPath,
                          DesktopPath desktopPath,
                          ResourceContext context)
                          throws ToolsException,
                                 NotEntitledException,
                                 ObjectNotFoundException,
                                 MissingDataException

  Resets the title of the book instance.

  Parameters
    `title` - the new title for the book instance
    `parentBookId` - the ID of the book to rename
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Returns
    the new book instance ID
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `MissingDataException`

### removeNavigable

    void removeNavigable(NavigableInstanceId navigableToRemoveId,
                         BookInstanceId parentBookId,
                         String webApp,
                         PortalPath portalPath,
                         DesktopPath desktopPath,
                         ResourceContext context)
                         throws ToolsException,
                                NotEntitledException,
                                ObjectNotFoundException,
                                MissingDataException

  Removes a child book or page (a navigable) from the specified book.

  Parameters
    `navigableToRemoveId` - the id of the page or book to remove
    `parentBookId` - the ID of the book to remove the navigable from
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context.
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `MissingDataException`

### setDefaultNavigable

    void setDefaultNavigable(NavigableInstanceId navigableId,
                             BookInstanceId bookId,
                             String webApp,
                             PortalPath portalPath,
                             DesktopPath desktopPath,
                             ResourceContext context)
                             throws ToolsException,
                                    NotEntitledException,
                                    ObjectNotFoundException

  Sets the default navigable for a book. The page or book specified will be the first one rendered when the parent book is displayed.

  Parameters
    `navigableId` - the id of the page or book that will be the default
    `bookId` - the id of the book to set the default navigable for.
    `webApp` - the webapp name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.